Package org.apache.ignite.internal.processors.odbc

## Class ClientListenerProtocolVersion

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.ClientListenerProtocolVersion

All Implemented Interfaces:
  `Comparable<ClientListenerProtocolVersion>`

    public class ClientListenerProtocolVersion
    extends Object
    implements Comparable<ClientListenerProtocolVersion>

Client listener protocol version.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `asString()`
`int` `compareTo​(@NotNull ClientListenerProtocolVersion other)`
`static ClientListenerProtocolVersion` `create​(int major, int minor, int maintenance)` Create version.
`boolean` `equals​(Object obj)`
`int` `hashCode()`
`short` `maintenance()`
`short` `major()`
`short` `minor()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### create

    public static ClientListenerProtocolVersion create​(int major,
                                                       int minor,
                                                       int maintenance)

Create version.

Parameters:
  `major` - Major part.
  `minor` - Minor part.
  `maintenance` - Maintenance part.
Returns:
  Version.

#### major

    public short major()

Returns:
  Major part.

#### minor

    public short minor()

Returns:
  Minor part.

#### maintenance

    public short maintenance()

Returns:
  Maintenance part.

#### asString

    public String asString()

Returns:
  String representation of version.

#### compareTo

    public int compareTo​(@NotNull
                         @NotNull ClientListenerProtocolVersion other)

Specified by:
  `compareTo` in interface `Comparable<ClientListenerProtocolVersion>`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`